# -*- coding: utf8 -*-
from django.urls import re_path

from gestion.frappe import views
from gestion.frappe.views import DocumentsListView

urlpatterns = [
    re_path(r"^$", views.index, name="index"),
    re_path(r"^annees/liste$", views.annees_liste, name="annees_liste"),
    re_path(r"^annees/nouveau$", views.annees_nouveau, name="annees_nouveau"),
    re_path(r"^annees/editer/(?P<id>\d+)$", views.annees_editer, name="annees_editer"),
    re_path(
        r"^annees/supprimer/(?P<id>\d+)$",
        views.annees_supprimer,
        name="annees_supprimer",
    ),
    re_path(r"^filieres/liste$", views.filieres_liste, name="filieres_liste"),
    re_path(r"^filieres/nouveau$", views.filieres_nouveau, name="filieres_nouveau"),
    re_path(r"^filieres/editer/(?P<id>\d+)$", views.filieres_editer, name="filieres_editer"),
    re_path(
        r"^filieres/supprimer/(?P<id>\d+)$",
        views.filieres_supprimer,
        name="filieres_supprimer",
    ),
    re_path(r"^matieres/liste$", views.matieres_liste, name="matieres_liste"),
    re_path(r"^matieres/nouveau$", views.matieres_nouveau, name="matieres_nouveau"),
    re_path(
        r"^matieres/nouveau_doublon/(?P<id>\d+)$",
        views.matieres_nouveau_doublon,
        name="matieres_nouveau_doublon",
    ),
    re_path(r"^matieres/editer/(?P<id>\d+)$", views.matieres_editer, name="matieres_editer"),
    re_path(
        r"^matieres/supprimer/(?P<id>\d+)$",
        views.matieres_supprimer,
        name="matieres_supprimer",
    ),
    re_path(r"^tags/liste$", views.tags_liste, name="tags_liste"),
    re_path(r"^tags/nouveau$", views.tags_nouveau, name="tags_nouveau"),
    re_path(
        r"^tags/nouveau_doublon/(?P<id>\d+)$",
        views.tags_nouveau_doublon,
        name="tags_nouveau_doublon",
    ),
    re_path(r"^tags/editer/(?P<id>\d+)$", views.tags_editer, name="tags_editer"),
    re_path(r"^tags/supprimer/(?P<id>\d+)$", views.tags_supprimer, name="tags_supprimer"),
    re_path(r"^documents/liste$", DocumentsListView.as_view(), name="documents_liste"),
    re_path(r"^documents/nouveau$", views.documents_nouveau, name="documents_nouveau"),
    re_path(
        r"^documents/editer/(?P<id>\d+)$",
        views.documents_editer,
        name="documents_editer",
    ),
    re_path(
        r"^documents/supprimer/(?P<id>\d+)$",
        views.documents_supprimer,
        name="documents_supprimer",
    ),
    re_path(
        r"^docfichiers/supprimer/(?P<id>\d+)$",
        views.docfichiers_supprimer,
        name="docfichiers_supprimer",
    ),
    re_path(r"^commentaires/liste$", views.commentaires_liste, name="commentaires_liste"),
    re_path(
        r"^commentaires/editer/(?P<id>\d+)$",
        views.commentaires_editer,
        name="commentaires_editer",
    ),
    re_path(
        r"^commentaires/supprimer/(?P<id>\d+)$",
        views.commentaires_supprimer,
        name="commentaires_supprimer",
    ),
]
